import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ProbePageComponent } from './probe-page.component';

import { ProbeListComponent } from './probe/list.component';
import { ProbeDetailComponent } from './probe/detail.component';

import { DownloadComponent } from 'packages/probe/component/download/download.component';

const routes: Routes = [
  {
    path: '',
    component: ProbePageComponent,
    children: [
      { path: 'list', component: ProbeListComponent },
      { path: 'noauth', loadChildren: 'app/pages/probe/noauth-probe/noauth-probe-page.module#NoAuthProbePageModule' },
      { path: 'download', component: DownloadComponent },
      { path: ':id/info', component: ProbeDetailComponent },
      // { path: ':id/targets', loadChildren: 'app/pages/targets/targets-page.module#TargetsPageModule'},
      { path: ':id/history', component: null },
    ]
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ProbePageRoutingModule { }
